### org.jfree.layouting.renderer.model.table

# Class TableCellRenderBox

- `java.lang.Object`
- - `org.jfree.layouting.renderer.model.RenderNode`
  - - `org.jfree.layouting.renderer.model.RenderBox`
    - - `org.jfree.layouting.renderer.model.BlockRenderBox`
      - - `org.jfree.layouting.renderer.model.table.TableCellRenderBox`

Implemented Interfaces:
  Cloneable

`public class TableCellRenderBox`
`extends BlockRenderBox`

A table section box does not much rendering or layouting at all. It represents one of the three possible sections and behaves like any other block box. But (here it comes!) it refuses to be added to anything else than a TableRenderBox (a small check to save me a lot of insanity ..).

Author:
  Thomas Morgner

  ## Field Summary

  ### Fields inherited from class org.jfree.layouting.renderer.model.RenderBox

  `LOG_PRUNE`

  ### Fields inherited from class org.jfree.layouting.renderer.model.RenderNode

  `HORIZONTAL_AXIS`, `VERTICAL_AXIS`

  ## Constructor Summary

  `TableCellRenderBox(BoxDefinition boxDefinition)`

  `TableCellRenderBox(BoxDefinition boxDefinition, boolean autoGenerated)`

  ## Method Summary

  `void`

  `appyStyle(LayoutContext context, OutputProcessorMetaData metaData)`

  `RenderNode`

  `getCellNode()`

  `int`

  `getColSpan()`

  `int`

  `getColumnIndex()`

  `Border`

  `getEffectiveBorder()`

  `Border`

  `getOriginalBorder()`

  `int`

  `getRowSpan()`

  `TableRenderBox`

  `getTable()`

  `boolean`

  `isAutoGenerated()`

  `boolean`

  `isIgnorableForRendering()`
    If that method returns true, the element will not be used for rendering.

  `protected CSSValue`

  `normalizeAlignment(CSSValue verticalAlignment)`

  `void`

  `setColumnIndex(int columnIndex)`

  `void`

  `setEffectiveBorder(Border effectiveBorder)`

  ### Methods inherited from class org.jfree.layouting.renderer.model.RenderBox

  `addChild`, `addChilds`, `addGeneratedChild`, `appyStyle`, `clear`, `clone`, `close`, `derive`, `deriveFrozen`, `findNodeById`, `freeze`, `getBaselineInfo`, `getBorder`, `getBoxDefinition`, `getBoxLayoutProperties`, `getContentAreaX1`, `getContentAreaX2`, `getDominantBaseline`, `getEffectiveMarginBottom`, `getEffectiveMarginTop`, `getFirstChild`, `getInsertationPoint`, `getLastChild`, `getLineCount`, `getNominalBaselineInfo`, `getOrphans`, `getOrphansSize`, `getPageContext`, `getStaticBoxLayoutProperties`, `getVisibleFirst`, `getVisibleLast`, `getWidows`, `getWidowsSize`, `hibernate`, `insertAfter`, `insertBefore`, `isAppendable`, `isAvoidPagebreakInside`, `isDiscardable`, `isEmpty`, `isOpen`, `isPreserveSpace`, `remove`, `replaceChild`, `replaceChilds`, `setBaselineInfo`, `setContentAreaX1`, `setContentAreaX2`, `setFirstChild`, `setLastChild`, `setLineCount`, `setOrphansSize`, `setPageContext`, `setWidowsSize`, `split`

  ### Methods inherited from class org.jfree.layouting.renderer.model.RenderNode

  `appyStyle`, `clone`, `derive`, `deriveFrozen`, `findNodeById`, `freeze`, `getAlignmentAdjust`, `getAlignmentAdjustResolved`, `getAlignmentBaseline`, `getBaselineShift`, `getBaselineShiftResolved`, `getChangeTracker`, `getComputedLayoutProperties`, `getDimension`, `getEffectiveMarginBottom`, `getEffectiveMarginTop`, `getHeight`, `getInstanceId`, `getLayoutContext`, `getLogicalPage`, `getMajorAxis`, `getMaximumBoxWidth`, `getMinimumChunkWidth`, `getMinorAxis`, `getNamespace`, `getNext`, `getNodeLayoutProperties`, `getNormalFlow`, `getPageContext`, `getParent`, `getParentBlockContext`, `getPosition`, `getPrev`, `getStickyMarker`, `getTagName`, `getVerticalAlignment`, `getVisibleNext`, `getVisiblePrev`, `getWidth`, `getX`, `getY`, `hibernate`, `isDirectionLTR`, `isDirty`, `isDiscardable`, `isEmpty`, `isFrozen`, `isHibernated`, `isIcmMetricsFinished`, `isIgnorableForRendering`, `isOpen`, `normalizeAlignment`, `setComputedLayoutProperties`, `setDimension`, `setDirty`, `setHeight`, `setHibernated`, `setIcmMetricsFinished`, `setMajorAxis`, `setMaximumBoxWidth`, `setMinimumChunkWidth`, `setMinorAxis`, `setNext`, `setParent`, `setPosition`, `setPrev`, `setStickyMarker`, `setWidth`, `setX`, `setY`, `updateChangeTracker`

## Constructor Details

### TableCellRenderBox

    public TableCellRenderBox(BoxDefinition boxDefinition)

### TableCellRenderBox

    public TableCellRenderBox(BoxDefinition boxDefinition,
                              boolean autoGenerated)

## Method Details

### appyStyle

    public void appyStyle(LayoutContext context,
                          OutputProcessorMetaData metaData)

> Overrides:
>   appyStyle in interface RenderBox

### getCellNode

    public RenderNode getCellNode()

### getColSpan

    public int getColSpan()

### getColumnIndex

    public int getColumnIndex()

### getEffectiveBorder

    public Border getEffectiveBorder()

### getOriginalBorder

    public Border getOriginalBorder()

### getRowSpan

    public int getRowSpan()

### getTable

    public TableRenderBox getTable()

### isAutoGenerated

    public boolean isAutoGenerated()

### isIgnorableForRendering

    public boolean isIgnorableForRendering()

> If that method returns true, the element will not be used for rendering. For the purpose of computing sizes or performing the layouting (in the validate() step), this element will treated as if it is not there.

> If the element reports itself as non-empty, however, it will affect the margin computation.
> Overrides:
>   isIgnorableForRendering in interface RenderNode
> Returns:

### normalizeAlignment

    protected CSSValue normalizeAlignment(CSSValue verticalAlignment)

> Overrides:
>   normalizeAlignment in interface RenderNode

### setColumnIndex

    public void setColumnIndex(int columnIndex)

### setEffectiveBorder

    public void setEffectiveBorder(Border effectiveBorder)